### Hierarchy

- RecordVisitor
  - WorkPackageVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- BRIEFCASE_PROPERTY_NAME
- CLASSIFICATION_PROPERTY_NAME
- CONFIG_PROPERTY_NAME
- CONTRACT_PROPERTY_NAME
- CREATION_DATE_PROPERTY_NAME
- CREATION_USER_PROPERTY_NAME
- DESCRIPTION_PROPERTY_NAME
- DISCIPLINES_PROPERTY_NAME
- ID_PROPERTY_NAME
- LAST_UPDATE_DATE_PROPERTY_NAME
- NAME_PROPERTY_NAME
- ORGANIZATIONS_GROUP_PROPERTY_NAME
- OWNING_GROUP_PROPERTY_NAME
- UID_PROPERTY_NAME

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitAndSetPropertyValueAt
- visitBriefcase
- visitClassification
- visitConfig
- visitContract
- visitCreationDate
- visitCreationUser
- visitDescription
- visitDisciplines
- visitId
- visitLastUpdateDate
- visitName
- visitOrganizationsGroup
- visitOwningGroup
- visitProperties
- visitPropertyValueAt
- visitRecordId
- visitUid
- visitAndSetPropertyValueAt
- visitPropertyValueAt

## Constructors

### constructor

- new WorkPackageVisitor(value: string | object): WorkPackageVisitor

- Overrides RecordVisitor.constructor

  - Defined in ppm/WorkPackageVisitor.ts:21

  #### Parameters

  - ##### value: string | object

  #### Returns WorkPackageVisitor

## Properties

### Static Private BRIEFCASE_PROPERTY_NAME

BRIEFCASE_PROPERTY_NAME: string = "briefcase"

- Defined in ppm/WorkPackageVisitor.ts:8

### Static Private CLASSIFICATION_PROPERTY_NAME

CLASSIFICATION_PROPERTY_NAME: string = "Classification"

- Defined in ppm/WorkPackageVisitor.ts:9

### Static Private CONFIG_PROPERTY_NAME

CONFIG_PROPERTY_NAME: string = "Config"

- Defined in ppm/WorkPackageVisitor.ts:10

### Static Private CONTRACT_PROPERTY_NAME

CONTRACT_PROPERTY_NAME: string = "Contract"

- Defined in ppm/WorkPackageVisitor.ts:11

### Static Private CREATION_DATE_PROPERTY_NAME

CREATION_DATE_PROPERTY_NAME: string = "Creation_Date"

- Defined in ppm/WorkPackageVisitor.ts:12

### Static Private CREATION_USER_PROPERTY_NAME

CREATION_USER_PROPERTY_NAME: string = "Creation_User"

- Defined in ppm/WorkPackageVisitor.ts:13

### Static Private DESCRIPTION_PROPERTY_NAME

DESCRIPTION_PROPERTY_NAME: string = "Description"

- Defined in ppm/WorkPackageVisitor.ts:14

### Static Private DISCIPLINES_PROPERTY_NAME

DISCIPLINES_PROPERTY_NAME: string = "Disciplines"

- Defined in ppm/WorkPackageVisitor.ts:15

### Static Private ID_PROPERTY_NAME

ID_PROPERTY_NAME: string = "Id"

- Defined in ppm/WorkPackageVisitor.ts:16

### Static Private LAST_UPDATE_DATE_PROPERTY_NAME

LAST_UPDATE_DATE_PROPERTY_NAME: string = "Last_Update_Date"

- Defined in ppm/WorkPackageVisitor.ts:17

### Static Private NAME_PROPERTY_NAME

NAME_PROPERTY_NAME: string = "Name"

- Defined in ppm/WorkPackageVisitor.ts:18

### Static Private ORGANIZATIONS_GROUP_PROPERTY_NAME

ORGANIZATIONS_GROUP_PROPERTY_NAME: string = "Organizations"

- Defined in ppm/WorkPackageVisitor.ts:19

### Static Private OWNING_GROUP_PROPERTY_NAME

OWNING_GROUP_PROPERTY_NAME: string = "Owning_Group"

- Defined in ppm/WorkPackageVisitor.ts:20

### Static Private UID_PROPERTY_NAME

UID_PROPERTY_NAME: string = "UID"

- Defined in ppm/WorkPackageVisitor.ts:21

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  Inherited from RecordVisitor.copyAsJsonObject

  - Defined in proxy/RecordVisitor.ts:44

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  Inherited from RecordVisitor.copyAsJsonString

  - Defined in proxy/RecordVisitor.ts:48

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  Inherited from RecordVisitor.enclosedJsonObject

  - Defined in proxy/RecordVisitor.ts:52

  #### Returns any

### visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(propertyName: string, value: any): void

- Inherited from RecordVisitor.visitAndSetPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:67

  #### Parameters

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### visitBriefcase

- visitBriefcase(): boolean

- - Defined in ppm/WorkPackageVisitor.ts:31

  #### Returns boolean

### visitClassification

- visitClassification(): string

- - Defined in ppm/WorkPackageVisitor.ts:35

  #### Returns string

### visitConfig

- visitConfig(): string

- - Defined in ppm/WorkPackageVisitor.ts:39

  #### Returns string

### visitContract

- visitContract(): string

- - Defined in ppm/WorkPackageVisitor.ts:43

  #### Returns string

### visitCreationDate

- visitCreationDate(): string

- - Defined in ppm/WorkPackageVisitor.ts:47

  #### Returns string

### visitCreationUser

- visitCreationUser(): string

- - Defined in ppm/WorkPackageVisitor.ts:51

  #### Returns string

### visitDescription

- visitDescription(): string

- - Defined in ppm/WorkPackageVisitor.ts:55

  #### Returns string

### visitDisciplines

- visitDisciplines(): string

- - Defined in ppm/WorkPackageVisitor.ts:59

  #### Returns string

### visitId

- visitId(): string

- - Defined in ppm/WorkPackageVisitor.ts:63

  #### Returns string

### visitLastUpdateDate

- visitLastUpdateDate(): string

- - Defined in ppm/WorkPackageVisitor.ts:67

  #### Returns string

### visitName

- visitName(): string

- - Defined in ppm/WorkPackageVisitor.ts:71

  #### Returns string

### visitOrganizationsGroup

- visitOrganizationsGroup(): string

- - Defined in ppm/WorkPackageVisitor.ts:75

  #### Returns string

### visitOwningGroup

- visitOwningGroup(): string

- - Defined in ppm/WorkPackageVisitor.ts:79

  #### Returns string

### visitProperties

- visitProperties(): IterableIterator<PropertyVisitor>

- Inherited from RecordVisitor.visitProperties

  - Defined in proxy/RecordVisitor.ts:87

  #### Returns IterableIterator<PropertyVisitor>

### visitPropertyValueAt

- visitPropertyValueAt(propertyName: string): any

- Inherited from RecordVisitor.visitPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:58

  #### Parameters

  - ##### propertyName: string

  #### Returns any

### visitRecordId

- visitRecordId(): string

- Inherited from RecordVisitor.visitRecordId

  - Defined in proxy/RecordVisitor.ts:94

  #### Returns string

### visitUid

- visitUid(): string

- - Defined in ppm/WorkPackageVisitor.ts:83

  #### Returns string

### Static visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(record: object, propertyName: string, value: any): void

- Inherited from RecordVisitor.visitAndSetPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:38

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### Static visitPropertyValueAt

- visitPropertyValueAt(record: object, propertyName: string): any

- Inherited from RecordVisitor.visitPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:34

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  #### Returns any

Generated using TypeDoc